TONTONDocs
TON CenterV3Nfts

applications/api/toncenter/v3/nfts/get-nft-collections

GET
/api/v3/nft/collections

Query Parameters

collection_address?array<string>

Collection address in any form. Max: 1024.

owner_address?array<string>

Address of collection owner in any form. Max: 1024.

limit?integer

Limit number of queried rows. Use with offset to batch read.

Default10
Formatint32
Range1 <= value <= 1000
offset?integer

Skip first N rows. Use with limit to batch read.

Default0
Formatint32
Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/nft/collections"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  },
  "nft_collections": [
    {
      "address": "string",
      "code_hash": "string",
      "collection_content": {},
      "data_hash": "string",
      "last_transaction_lt": "0",
      "next_item_index": "string",
      "owner_address": "string"
    }
  ]
}
{
  "code": 0,
  "error": "string"
}

Last updated on